#!/bin/bash
radius=3.0
natoms=63
exec=/home/wales/GMIN.guidesym/GMIN
directory=$1
seed=${2:-1}

mkdir -p $directory
cd $directory
cp ../data.$1 data
rm hits >& /dev/null
count=1
numrand=5

echo
echo Running GMIN for $natoms Stillinger-Weber Si atoms from $numrand random starting geometries 
echo Random number seeds start from $seed
echo

while [ $count -le $numrand ] ; do
   echo $natoms $radius -$seed > randata
   rancoords # >& /dev/null
   cp newcoords coords
   echo count $count
   $exec >& output
   echo `grep hit output | head -1 | sed -e 's/[a-zA-Z]//g' -e 's/[a-zA-Z]//g' -e 's/\.//' -e 's/>//'` \
        `grep time= output | tail -1 | sed 's/.*time=//'` >> hits
   cp coords coords.$count
   ((count++))
   ((seed++))
done

gminconv2 < hits > temp ; head -1 temp > pdf
echo
echo Mean and standard deviation for global minimum first encounter time
echo
cat pdf

